Skip to content
Start here

Push Message Batch

queues.messages.bulk_push(strqueue_id, MessageBulkPushParams**kwargs) -> MessageBulkPushResponse
POST/accounts/{account_id}/queues/{queue_id}/messages/batch

Push a batch of message to a Queue

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteWorkers Scripts Write
ParametersExpand Collapse
account_id: str

A Resource identifier.

maxLength32
queue_id: str

A Resource identifier.

maxLength32
delay_seconds: Optional[float]

The number of seconds to wait for attempting to deliver this batch to consumers

messages: Optional[Iterable[Message]]
One of the following:
class MessageMqQueueMessageText:
body: Optional[str]
content_type: Optional[Literal["text"]]
delay_seconds: Optional[float]

The number of seconds to wait for attempting to deliver this message to consumers

class MessageMqQueueMessageJson:
body: Optional[object]
content_type: Optional[Literal["json"]]
delay_seconds: Optional[float]

The number of seconds to wait for attempting to deliver this message to consumers

ReturnsExpand Collapse
class MessageBulkPushResponse:
errors: Optional[List[ResponseInfo]]
minLength1
code: int
minimum1000
message: str
documentation_url: Optional[str]
source: Optional[Source]
pointer: Optional[str]
messages: Optional[List[str]]
success: Optional[Literal[true]]

Indicates if the API call was successful or not.

Push Message Batch

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.queues.messages.bulk_push(
    queue_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.errors)
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true
}